# Recurring Batches Recurring Batches ## Gets all of the recurring batches in the system. - [GET /recurringBatches/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/recurring-batches/listrecurringbatches.md): This method will scan all recurring batches and and return them to the caller. ## Creates a new recurring batch record that does not already exist. - [POST /recurringBatches/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/recurring-batches/createrecurringbatch.md): This method will auto-generate an ID and create a new recurring batch. If an ID is specified for the recurring batch, an error will be thrown. ## Execute Batch Operations - [POST /recurringBatches/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/recurring-batches/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a recurring batch from the system by its ID. - [DELETE /recurringBatches/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/recurring-batches/deleterecurringbatch.md): This method will delete a recurring batch with the specified ID. ## Returns a recurring batch from the system by its ID. - [GET /recurringBatches/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/recurring-batches/getrecurringbatch.md): This method will look up a recurring batch by the specified ID and return it back. ## Partially updates a recurring batch with the specified ID. - [PATCH /recurringBatches/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/recurring-batches/patchrecurringbatch.md): This method will patch an existing recurring batch with the specified ID, using the HTTP PATCH specification. ## Updates a recurring batch with the specified ID. - [PUT /recurringBatches/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/recurring-batches/updaterecurringbatch.md): This method will update an existing recurring batch with the specified ID.